* {
	--A: #ff2200;
	--B: #ffdd00;
	--C: #4488ff;
	--D: #00ddff;
	--E: #22ee00;
	--F: #bb55ff;
	--G: #00bb88;
	--H: #ffffaa;
	--I: #ff55aa;
	--J: #008833;
	--K: #ee7700;
	--L: #1133ee;
	--M: #cc0044;
	--N: #eeaaff;
	--O: #aa6633;
	--P: #66ffcc;
	--Q: #7733ee;
	--R: #559900;
	--S: #aaff88;
	--T: #ccaa88;
}

.fgA { color: var(--A); }
.fgB { color: var(--B); }
.fgC { color: var(--C); }
.fgD { color: var(--D); }
.fgE { color: var(--E); }
.fgF { color: var(--F); }
.fgG { color: var(--G); }
.fgH { color: var(--H); }
.fgI { color: var(--I); }
.fgJ { color: var(--J); }
.fgK { color: var(--K); }
.fgL { color: var(--L); }
.fgM { color: var(--M); }
.fgN { color: var(--N); }
.fgO { color: var(--O); }
.fgP { color: var(--P); }
.fgQ { color: var(--Q); }
.fgR { color: var(--R); }
.fgS { color: var(--S); }
.fgT { color: var(--T); }

.bgA { color: #000; background-color: var(--A); }
.bgB { color: #000; background-color: var(--B); }
.bgC { color: #000; background-color: var(--C); }
.bgD { color: #000; background-color: var(--D); }
.bgE { color: #000; background-color: var(--E); }
.bgF { color: #000; background-color: var(--F); }
.bgG { color: #000; background-color: var(--G); }
.bgH { color: #000; background-color: var(--H); }
.bgI { color: #000; background-color: var(--I); }
.bgJ { color: #000; background-color: var(--J); }
.bgK { color: #000; background-color: var(--K); }
.bgL { color: #000; background-color: var(--L); }
.bgM { color: #000; background-color: var(--M); }
.bgN { color: #000; background-color: var(--N); }
.bgO { color: #000; background-color: var(--O); }
.bgP { color: #000; background-color: var(--P); }
.bgQ { color: #000; background-color: var(--Q); }
.bgR { color: #000; background-color: var(--R); }
.bgS { color: #000; background-color: var(--S); }
.bgT { color: #000; background-color: var(--T); }

td, th {
	width: 100px;
	text-align: center;
	border: solid 3px black;
	font-family: monospace;
	font-size: 18px;
}

span.colorful {
	background-image: linear-gradient(to right, var(--A), var(--B), var(--C), var(--D), var(--E), var(--F), var(--G), var(--H), var(--I), var(--J), var(--K), var(--L), var(--M), var(--N), var(--O), var(--P), var(--Q), var(--R), var(--S), var(--T));
	-webkit-background-clip: text;
	color: transparent;
	font-weight: bold;
}
